# -*- coding: utf-8 -*-
%add_findprov_lib_path %_libdir/kde3

%define	version	0.6
#%%define	prerel  %nil	
%define release alt1


%ifdef prerel
%define filever	%version%prerel
%global release	%release.%prerel
%else
%define filever %version
%endif

Name: kmymoney2
Version: %version
Release: %release
Group: Office
Summary: Personal financial manager for KDE
Summary(ru_RU.UTF-8): Менеджер личных финансов для KDE
URL: http://kmymoney2.sourceforge.net
License: GPL
Packager: Alexey Morozov <morozov@altlinux.org>

Source: %name-%filever.tar.bz2

Patch1: %name-0.6-alt-ru_translation.patch

Requires: %{get_dep kdelibs}

BuildRequires: perl-base

BuildRequires: kdelibs-devel libxml2-devel libqt3-devel gcc-c++

%description
The personal finances manager for KDE.

%description -l ru_RU.UTF-8
Программа учета личных финансов для KDE.

%prep
%setup -q -n %name-%filever
%patch1 -p1

# Change KDE libraries check to be ALT-compliant
%__subst 's/libk\(decore\|io\)\.la/libk\1.so/g' acinclude.m4

# Remove accidently included autom4te.cache
%__rm -rf autom4te.cache

%build
%__libtoolize --copy --force
%__aclocal
%__automake
perl admin/am_edit
%__autoconf
%configure \
    --disable-closure \
    --enable-final \
    --disable-static \
    --enable-shared \
    --disable-rpath \
    --program-transform-name=""

%make_build

%install
%make DESTDIR=%buildroot install

ln -sf hicolor/32x32/apps/%name.png %buildroot%_iconsdir/%name.png

%__mkdir_p %buildroot{%_miconsdir,%_liconsdir}
ln -sf `relative %buildroot%_iconsdir/hicolor/16x16/apps/%name.png \
		%buildroot%_miconsdir/%name.png` \
	%buildroot%_miconsdir/%name.png

ln -sf `relative %buildroot%_iconsdir/hicolor/48x48/apps/%name.png \
		%buildroot%_liconsdir/%name.png` \
	%buildroot%_liconsdir/%name.png

# create menus
mkdir -p %buildroot%_menudir
kdedesktop2mdkmenu.pl %name "Applications/Finances" %buildroot/%_datadir/applnk/Applications/%name.desktop %buildroot/%_menudir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*

%_datadir/apps/kmymoney2

%_datadir/mimelnk/application/*.desktop
%_datadir/applnk/Applications/*.desktop

%_menudir/*
%_iconsdir/*.png
%_miconsdir/*.png
%_liconsdir/*.png
%_iconsdir/*/*/apps/*.png
%_iconsdir/*/*/mimetypes/*.png

%_man1dir/%name.*

%dir %_datadir/doc/HTML/en/%name
%docdir %_datadir/doc/HTML/en/%name
%_datadir/doc/HTML/en/%name/*
%doc AUTHORS BUGS README TODO

%changelog
* Fri Jul 09 2004 Alexey Morozov <morozov@altlinux.org> 0.6-alt1
- new version (0.6 release)
- menu group changed to 'Application/Finances' (#4401)
- removed obsolete xmlencoding patch

* Mon May 10 2004 Alexey Morozov <morozov@altlinux.org> 0.6-alt0.rc4
- Initial build (spec is based on pixieplus spec)
